---
type: api
title: List organization invitations
description: Fetch open invitations to the selected organization. Currently unavailable in self-hosted ECE.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-list-organization-invitations
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-list-organization-invitations
products:
  - Elastic Cloud Enterprise
---

# List organization invitations

## Paths

- `GET` `/organizations/{organization_id}/invitations`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#apikey)

#### Path Parameters

- `organization_id` (string)
  Identifier for the Organization

## Description

Fetch open invitations to the selected organization. Currently unavailable in self-hosted ECE.

## Responses

#### `200`

Organization invitations fetched successfully

`application/json`

- `invitations` ([] OrganizationInvitation)
  The list of organization invitations
  - `token` (string)
    The token used to accept the invitation
  - `email` (string)
    The email address to invite to the organization
  - `created_at` (string)
    The date and time when the invitation was created
  - `expires_at` (string)
    The date and time when the invitation expires
  - `expired` (boolean)
    True if the invitation is expired
  - `accepted_at` (string)
    The date and time when the invitation was accepted
  - `organization` ({} Organization)
    An organization
    - `id` (string)
      The organization's identifier
    - `name` (string)
      The organization's friendly name
    - `enforce_authentication_method` (string)
      Enforces a particular authentication method for organization members
    - `default_disk_usage_alerts_enabled` (boolean)
      Whether the default disk alerts are enabled
    - `notifications_allowed_email_domains` ([] string)
      The list of allowed domains for notification-email recipients
    - `billing_contacts` ([] string)
      The list of contacts for billing notifications, if specified
    - `operational_contacts` ([] string)
      The list of contacts for operational notifications, if specified
    - `sso_login_identifier` (string)
      The login identifier for initiating SSO
  - `role_assignments` ({} RoleAssignments)
    Roles assigned to users, API keys or organization invitations. Currently unavailable in self-hosted ECE.
    - `platform` ([] PlatformRoleAssignment)
      Assignments for roles with platform scope.
      - `role_id` (string)
        The ID of the role that is assigned.
    - `organization` ([] OrganizationRoleAssignment)
      Assignments for roles with organization scope.
      - `role_id` (string)
        The ID of the role that is assigned.
      - `organization_id` (string)
        The ID of the organization the role is scoped to.
      - `application_roles` ([] string)
        If provided, the user assigned this role assignment will be granted this application role when signing in to a deployment or project
    - `deployment` ([] DeploymentRoleAssignment)
      Assignments for roles with deployment scope.
      - `role_id` (string)
        The ID of the role that is assigned.
      - `organization_id` (string)
        The ID of the organization the role is scoped to.
      - `all` (boolean)
        When true, the role applies to all deployments in the organization, otherwise the role is scoped to the deployments specified in `deployment_ids`.
      - `deployment_ids` ([] string)
        The IDs of the deployments the role is scoped to. Must be absent if `all` is true, and present if `all` is false.
      - `application_roles` ([] string)
        If provided, the user assigned this role assignment will be granted this application role when signing in to the deployment(s) specified in the role assignment.
    - `project` ({} ProjectRoleAssignments)
      Assignments for roles with project scope.
      - `elasticsearch` ([] ProjectRoleAssignment)
        The Elasticsearch project-scoped role assignments to set
        - `role_id` (string)
          The ID of the role that is assigned.
        - `organization_id` (string)
          The ID of the organization the role is scoped to.
        - `all` (boolean)
          When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in `project_ids`.
        - `project_ids` ([] string)
          The IDs of the projects the role is scoped to. Must be absent if `all` is true, and present if `all` is false.
        - `application_roles` ([] string)
          If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
      - `observability` ([] ProjectRoleAssignment)
        The Observability project-scoped role assignments to set
        - `role_id` (string)
          The ID of the role that is assigned.
        - `organization_id` (string)
          The ID of the organization the role is scoped to.
        - `all` (boolean)
          When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in `project_ids`.
        - `project_ids` ([] string)
          The IDs of the projects the role is scoped to. Must be absent if `all` is true, and present if `all` is false.
        - `application_roles` ([] string)
          If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
      - `security` ([] ProjectRoleAssignment)
        The Security project-scoped role assignments to set
        - `role_id` (string)
          The ID of the role that is assigned.
        - `organization_id` (string)
          The ID of the organization the role is scoped to.
        - `all` (boolean)
          When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in `project_ids`.
        - `project_ids` ([] string)
          The IDs of the projects the role is scoped to. Must be absent if `all` is true, and present if `all` is false.
        - `application_roles` ([] string)
          If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
      - `workplaceai` ([] ProjectRoleAssignment)
        The WorkplaceAI project-scoped role assignments to set
        - `role_id` (string)
          The ID of the role that is assigned.
        - `organization_id` (string)
          The ID of the organization the role is scoped to.
        - `all` (boolean)
          When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in `project_ids`.
        - `project_ids` ([] string)
          The IDs of the projects the role is scoped to. Must be absent if `all` is true, and present if `all` is false.
        - `application_roles` ([] string)
          If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
#### `404`

Organization not found. (code: `organization.not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
GET /organizations/{organization_id}/invitations
```

#### curl

```curl
curl -X GET "/organizations/{organization_id}/invitations"
```

